LINUX.ORG.RU

IntelliJ IDEA 10.5 Release Candidate с поддержкой Java 7

 , , , , , ,


0

2

JetBrains объявили о выходе release candidate следующей версии IntellJ IDEA - 10.5. Основное изменение в этой версии - поддержка Java 7, версия была протестирована с последними промежуточными билдами Java Development Kit 7.

Кроме того, был переработана функция поиска и замены в редакторе, улучшено автодополнение кода, добавлен отладчик Javascript'а в Google Chrome.

Как обычно, разработчики дополнили среду разработки массой других улучшений, таких как: поддержка Groovy 1.8, Android 3.0, Spring 3.1, новыми плагинами для PHP, Python, Scala.

Как и предыдущие версии, продукт будет выпущен в двух редакциях - opensource (Apache License) и коммерческая версии, отличающиеся набором функций.

>>> Подробности

★★★★★

Проверено: maxcom ()

Ответ на: комментарий от thevery

RC ж ещё только, не?


IntelliJ IDEA 10.5 RC готова к выпуску JDK 7

JetBrains объявили о выходе RC IntellJ IDEA версии 10.5.

Так лучше?

Karapuz ★★★★★ ()
Ответ на: комментарий от Karapuz

хотя бы так.
но лучше уж дождаться релиза что-таки, а потом уже новость писать/апрувить

thevery ★★★★ ()
Ответ на: комментарий от thevery

лучше уж дождаться релиза что-таки


может поэтому дэвид поллак таки там и пилит лифт, а мы таки здесь и торчим на лоре

Karapuz ★★★★★ ()
Ответ на: комментарий от Karapuz

пусть пилит, мне не жалко, мне-то лично нужнее groovy и android :)

thevery ★★★★ ()
Ответ на: комментарий от BattleCoder

тем, что оно сделано для людей, а не для «линуксоидов» - работает искаропки и не требует скачивания и настройки 100500 кривых плагинов

thevery ★★★★ ()
Ответ на: комментарий от thevery

это да: удивлялался как классно сделан свн, как шустро работает автокомплит. правда мне нужен андроид - и тут иногда бывают косяки, поэтому приходится иногда переключаться на еклипс. может гугл расщедрится и сам напише плагин для идеи)

sacred ★★ ()
Ответ на: комментарий от sacred

баги по андроиду достаточно хорошо фиксят, главное заносить их в youtrack.
опять же в 10.5 получше стало с этим.
собственно, я сам активно под андроид пишу и поэтому знаю :)

thevery ★★★★ ()
Ответ на: комментарий от thevery

я тож. уже 3 бага мои пофиксили. просто вот вроде ктото писал про то, что xml неправильно проверяться - вроде профиксили. а вот вчере открыл большое проект - и фиг вам. ругается на xml и не хочет изза этого компилить. при то что эклипс все хавает молча

sacred ★★ ()
Ответ на: комментарий от sacred

>и не хочет изза этого компилить
хм, а это странно. можно ссылку на баг?

thevery ★★★★ ()
Ответ на: комментарий от thevery

к сожалению это было недели 4 назад, поэтому уже не помню. помню общую суть: подчеркивает какие-то ошибки, которых нет(именно в xml)

sacred ★★ ()
Ответ на: комментарий от thevery

ну я ж говорю. скачал в субботу 10.5 и открыл большой проект - ругается на xml и нивкакую не хочет компелять.

заодно вопрос: а если отключить проверку xml тут(http://habreffect.ru/files/bf3/15526d646/Capture.PNG) может тогда можно будет компилить?

sacred ★★ ()
Ответ на: комментарий от sacred

>ну я ж говорю. скачал в субботу 10.5 и открыл большой проект - ругается на xml и нивкакую не хочет компелять.
«в субботу» и «4 недели назад» не очень сходится.

заодно вопрос: а если отключить проверку xml тут(http://habreffect.ru/files/bf3/15526d646/Capture.PNG) может тогда можно будет компилить?

ну, я не телепат - без конкретных данных об ошибке сказать сложно.

thevery ★★★★ ()
Ответ на: комментарий от thevery

4 недели видел баг на трекере. в эту собботу открыл проект и получил такую ошибку

sacred ★★ ()
Ответ на: комментарий от BattleCoder

>eclpise же тоже «просто работает», разве нет?

нет, он кривой и многие вещи толком не умеет.
впрочем, это почти холивор и в данной теме - оффтопик.

thevery ★★★★ ()
Ответ на: комментарий от thevery

о так у теюя мак) только хотел спросить нафига тебе линукс если ты пишешь что тотже еклипс нужно настраивать)

ща попробую)

хотя тотже еклипс както и так собирает)

sacred ★★ ()
Ответ на: комментарий от thevery

вроде пошло( я еще во вкладке Dependencies поставил 2.2) но теперь ругается на over 100 комментов((( они внезапно в cp1251 и идея не может их переварить( печально

sacred ★★ ()
Ответ на: комментарий от sacred

>о так у теюя мак) только хотел спросить нафига тебе линукс если ты пишешь что тотже еклипс нужно настраивать)
линукс на десктопе, ибо бесплатно, а раньше Win7 бесплатная стояла (RC которая), пока не expire'нулась

хотя тотже еклипс както и так собирает)

дык эта настройка IDEA-specific, eclipse читает её из default.properties (такой баг тоже есть)

thevery ★★★★ ()
Ответ на: комментарий от thevery

а в чем преимущества перед NetBeans? Раньше сам NetBeans пользовался, сейчас на vim перешел.

XVilka ★★★★ ()
Ответ на: комментарий от thevery

>мне-то лично нужнее groovy и android :)

Ты хочешь садить батарейку еще быстрее?:)

r ★★★★★ ()
Ответ на: комментарий от sacred

>вроде пошло( я еще во вкладке Dependencies поставил 2.2) но теперь ругается на over 100 комментов((( они внезапно в cp1251 и идея не может их переварить( печально

А ты сказал что файл в Cp1251? Или идея думаешь что он в UTF?

r ★★★★★ ()
Ответ на: комментарий от XVilka

NetBeans умеет ещё меньше, чем eclipse, хотя и искаропки.
Для java, многих java-технологий (groovy/scala) и фреймворков IDEA намного «умнее», чем eclipse или netbeans. Да и для python/ruby/php тоже хороша, говорят.

thevery ★★★★ ()
Ответ на: комментарий от r

>Ты хочешь садить батарейку еще быстрее?:)

да уж, тормоза при компиляции (ввиду отсутствия инкрементальности) - это слабое место разработки под андроид :(

thevery ★★★★ ()
Ответ на: комментарий от thevery

Да и для python/ruby/php тоже хороша, говорят.

Ну не знаю. Моё личное мнение: для разработки под, по крайней мере Питон, такие громоздкие среды ни к чему. Там обычно приходится думать существенно больше, чем строчить, поэтому хватает редакторов вроде Geany или IDLE.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

а всю кодовую базу и хелп вы заизусть знаете?
по разным MVC-компонентам в том же django предпочитаете вручную ходить?
VCS-операции любите из консоли делать?
ну итд

как по мне, так IDE как раз помогает думать в том смысле, что не отвлекаешься на всякие мелочи, о которых заботится IDE.

thevery ★★★★ ()
Ответ на: комментарий от r

комменты в cp1251. если в идее ставить utf8 - то вместо комментов отображается хрень

sacred ★★ ()
Ответ на: комментарий от r

поставил в настройках идеи cp1251 - перестала ругаться на комменты. но она поставила эту кодировку для всех проектов, а я хотел бы чтоб только для этого. или если у меня файлы в utf8, то она все равно автоматом будет юникод использовать ?

sacred ★★ ()
Ответ на: комментарий от thevery

таки собрал. видимо ругалось на то, что instalLocaton - фича из 2.2 версии. а как тогда еклипс мог собирать ? оно как-то по-другому хранит инфу о версии андроида для проекта ?

sacred ★★ ()
Ответ на: комментарий от sacred

сталкивался с подобной проблемой при редактировании maven-овского pom.xml, но на нормальную сборку это у меня не влияло никак

loki_ ★★ ()
Ответ на: комментарий от loki_

это мой косяк. проблема была в том что стояла версия андроида 2.1 и использовалась фича из 2.2.

sacred ★★ ()
Ответ на: комментарий от sacred

>а как тогда еклипс мог собирать ?
у вас в default.properties что написано, какой target?

thevery ★★★★ ()
Ответ на: комментарий от thevery

androi-8. те получается что идея игнорит этот файл ?

sacred ★★ ()
Ответ на: комментарий от thevery

там написано про апдейт, а не про то, что нужно из него инфу брать. если я правильно понял

sacred ★★ ()
Ответ на: комментарий от sacred

неважно, один фиг IDEA этот файл полностью игнорирует.
можете завести отдельный баг, если хочется.

thevery ★★★★ ()
Ответ на: комментарий от sacred

>но она поставила эту кодировку для всех проектов

Там же есть настройка в проекте, с автодетектом UTF и раздельной настройкой по иерархии.

r ★★★★★ ()
Ответ на: комментарий от r

точно. поставил utf8 как дефолт для идеи и могу для отдельных файлов менять если будут проблемы с комментариями

sacred ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.